%define name		jmx
%define version		1.2.1
%define cvs_version	1_2_1
%define release		1jpp
%define section		non-free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:	Java Management Extensions
License:	Sun Binary Code License
Url:		http://java.sun.com/products/JavaManagement/ 
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	%{name}-%{cvs_version}-ri.zip
NoSource:	0
BuildArch:	noarch
BuildRequires:  jpackage-utils >= 0:1.5.39, java-devel
Requires:	java
Provides:	%{name}ri = %{version}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
JavaTM Management Extensions (JMX) represent a universal, 
open technology for management, and monitoring ready
to be deployed across all industries, wherever management 
and/or monitoring is/are or will be needed.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%{__rm} -rf %{buildroot}
%setup -q -n %{name}-%{cvs_version}-bin
# fix files perms
%{__chmod} -R go=u-w *

%build

%install
# jars
%{__install} -d -m 755 %{buildroot}%{_javadir}
%{__install} -m 644 lib/%{name}ri.jar %{buildroot}%{_javadir}/%{name}ri-%{version}.jar
%{__install} -m 644 lib/%{name}tools.jar %{buildroot}%{_javadir}/%{name}tools-%{version}.jar
pushd %{buildroot}%{_javadir}
   ln -fs %{name}tools-%{version}.jar %{name}tools.jar
popd


# javadoc
%{__install} -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{version}
%{__cp} -pr doc/api/* %{buildroot}%{_javadocdir}/%{name}-%{version}

%clean
%{__rm} -rf %{buildroot}

%post
/usr/sbin/update-alternatives --install %{_javadir}/jmxri.jar jmxri %{_javadir}/%{name}ri-%{version}.jar 1
                                                                                                                              
%preun
/usr/sbin/update-alternatives --remove jmxri %{_javadir}/%{name}ri-%{version}.jar


%files
%defattr(-,root,root)
%{_javadir}/*.jar

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}-%{version}

%changelog
* Wed Nov 3 2004 Nicolas Mailhot <nim@jpackage.org> 1.2.1-1jpp
- Update to 1.2.1

* Tue Mar 25 2003 Nicolas Mailhot <Nicolas.Mailhot (at) laPoste.net> 1.2-4jpp
- use jmxri alternative

* Fri Mar 21 2003 Nicolas Mailhot <Nicolas.Mailhot (at) laPoste.net> 1.2-1jpp
- for jpackage-utils 1.5
- bumped to 1.2

* Thu Jun 20 2002 Henri Gomez <hgomez@slib.fr> 1.1-1jpp
- Initial release
